@zeekay/rollup-plugin-coffee
A Rollup.js plugin to compile CoffeeScript 2 (and 1)
Last updated 2 years ago by zeekay .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install @zeekay/rollup-plugin-coffee 
SYNC missed versions from official npm registry.

@zeekay/rollup-plugin-coffee

NPM version Build Status Coverage Status Dependency Status Gitter chat

A Rollup.js plugin that compiles CoffeeScript. Uses find-coffee to locate the proper version of CoffeeScript.

Install

$ npm install @zeekay/rollup-plugin-coffee --save-dev

Usage

Add the following code to your project's rollup.config.js:

import coffee from '@zeekay/rollup-plugin-coffee';

export default {
  entry: 'index.js',
  plugins: [
    coffee({
      // defaults
      bare:       true,
      extensions: ['.coffee', '.litcoffee'],
      version:    'auto',
      sourceMap:  true
    })
  ]
};

By default this plugin will use any version of CoffeeScript available, trying to use 2.0 and falling back to 1.0 if necessary.

You can specify version: 1 or version: 2 to ensure a certain version is used (or error if it's unavailable).

License

MIT

Current Tags

  • 0.1.19                                ...           latest (2 years ago)

3 Versions

  • 0.1.19                                ...           2 years ago
  • 0.1.18                                ...           2 years ago
  • 0.1.17                                ...           2 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 7
Dependencies (0)
None
Dev Dependencies (9)
Dependents (1)

Copyright 2014 - 2017 © taobao.org |